#ifndef CDRECORD_INTERFACE_H__
#define CDRECORD_INTERFACE_H__


#include "main.h" /* cdw_rv_t */
#include "commands.h" /* cdw_task_t */


/* functions preparing string with program name and it's
 * arguments and calling run_command() */

int run_command_cdrecord_write_from_image(cdw_task_t *task);
int run_command_cdrecord_write_direct(cdw_task_t *task);
int run_command_cdrecord_write_audio(cdw_task_t *task);
int run_command_cdrecord_copy_disk(cdw_task_t *task);
cdw_rv_t run_command_cdrecord_blank_cd(cdw_task_t *task);

/* additional info for these two functions: they call cdrecord to extract
   metainformation from disc */
cdw_rv_t run_command_cdrecord_atip(cdw_task_t *task);
cdw_rv_t run_command_cdrecord_msinfo(cdw_task_t *task);


#endif /* #ifndef CDRECORD_INTERFACE_H__ */
