#ifndef __CDW_FILE_MANAGER_H
#define __CDW_FILE_MANAGER_H

typedef struct _cdw_file_t {
	char *name;
	char *fullpath;
	int type; /* in case of link this field should store information about target of the link */
	off_t size;
	bool link;
	bool invalid; /* stat() failed for this file: may be invalid file (e.g. broken link) or other reason */
} cdw_file_t;


void cdw_file_manager_show_selector(void);

cdw_rv_t cdw_file_manager_init(void);
void cdw_file_manager_clean(void);

#endif /*  __CDW_FILE_MANAGER_H */

