#ifndef COMMANDS_H__
#define COMMANDS_H__


#include "main.h" /* cdw_rv_t */
#include "cdw_ui_main.h"
#include "tasks.h"


int copy_cd_to_image(char *window_title, char *window_message);
void selected_files_delete_wrapper(void);
void selected_files_add_wrapper(void);
cdw_rv_t ui_command_create_image(void);
cdw_rv_t ui_command_copy_cd_to_hdd(cdw_menu_items_t ui_command);
cdw_rv_t ui_command_blank_optical_disc(void);
void ui_command_eject_tray(void);
void ui_command_cdda2wav(cdw_menu_items_t ui_command);
void ui_command_media_size_selector(void);
void ui_command_show_last_log(void);
void ui_command_update_opt_disc_info(void);
void ui_command_show_license(void);
void ui_command_cdrecord_parameters_dialog(void);
void ui_command_edit_volume_id(void);
cdw_rv_t ui_command_write_to_opt_disc(cdw_menu_items_t ui_command);

void ui_command_md5sum(void);
cdw_rv_t check_read_preconditions(const cdw_task_t task);



#endif /* COMMANDS_H__ */
