/* cdw
 * Copyright (C) 2002 Varkonyi Balazs
 * Copyright (C) 2007 - 2009 Kamil Ignacak
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#include <stdio.h>

#include "filelist_tests.h"
#include "utils_string_tests.h"


int main(int argc, char **argv)
{
	fprintf(stderr, "\n");

	fprintf(stderr, "%s: cdw unit tests facility\n\n", argv[0]);

	filelist_run_tests();
	utils_string_run_tests();

	fprintf(stderr, "cdw test result: success\n");
	fprintf(stdout, "cdw test result: success\n");

	fprintf(stderr, "\n");

	return 0;
}

