#ifndef __PIPE_REGEXP_H
#define __PIPE_REGEXP_H

#include <regex.h>


void stdout_regexp_prepare(void);
void stdout_regexp_execute(void);
void stdout_regexp_destroy(void);

void stderr_regexp_prepare(void);
void stderr_regexp_execute(void);
void stderr_regexp_destroy(void);


/* utility functions used in (all) *_pipe_regexp.c files */
void regcomp_error_handler(const char *caller_name, int errcode, const regex_t *regex, int id);
void eta_calculations(char *eta_string, int eta);


#endif /* __PIPE_REGEXP_H */
