#ifndef __THREAD_H_
#define __THREAD_H_

/* size of char * buffer, into which cdw will put data read from
   external programs; the data will be then read from the buffer by
   another part of cdw */
#define PIPE_BUFFER_SIZE 1000

#include "commands.h"

/* only threads-related functions */
void *print_stdout(void *);
void *print_stderr(void *);
int run_command(const char *command, cdw_task_t *task);

#endif /* #ifndef __THREAD_H_ */
