#ifndef __GETTEXT_H
#define __GETTEXT_H

#include <libintl.h>
#include <gettext.h>
#include <nl_types.h>

#ifndef _
#define _(string) (char *)gettext(string)
#endif


/* http://www.gnu.org/software/gettext/manual/gettext.html#Special-cases */
#ifndef gettext_noop
#define gettext_noop(string) string
#endif

#endif /* #ifndef __GETTEXT_H */
