#ifndef LOG_H__
#define LOG_H__

#include <stdio.h>
#include "main.h"

cdw_rv_t file_display(FILE *file, const char *title);
cdw_rv_t file_display_with_full_path(const char *file_path, const char *title);

cdw_rv_t log_module_init(void);
void log_module_clean(void);

void log_file_write(const char *format, ...);
void log_file_write_separator(void);
cdw_rv_t log_file_display(const char *title);

#endif /* #ifndef LOG_H__ */
